# -*- encoding: utf-8 -*-

def plus_grand_element(liste):
    """
    Renvoie le plus grand élément d'une liste non vide

    EXAMPLES::

        sage: plus_grand_element([7,3,1,10,4,10,2,9])
        10
        sage: plus_grand_element([7])
        7
        sage: plus_grand_element([1,2])
        1
    """
    resultat = liste[0]
    for i in range(1, len(liste)):
        # Invariant:
        # resultat est le plus grand element de liste[:i]
        assert resultat in liste[:i]
        assert all(resultat >= x for x in liste[:i])
        if liste[i] > resultat:
            resultat = liste[i]
    return resultat
